Package org.silverpeas.mobile.client.components

## Class Snackbar

- java.lang.Object
- - org.silverpeas.mobile.client.components.Snackbar

-     public class Snackbar
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `DELAY` |
    `static int` | `ERROR` |
    `static int` | `INFO` |
    `static int` | `WARNING` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Snackbar()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `show​(String message, int delay, int type)` |
    `static void` | `showConfirmation​(String message, com.google.gwt.user.client.Command yesCommand, com.google.gwt.user.client.Command noCommand)` |
    `static void` | `showConfirmation​(String message, String yesLabel, String noLabel, com.google.gwt.user.client.Command yesCommand, com.google.gwt.user.client.Command noCommand)` |
    `static void` | `showWithCloseButton​(String message, int type)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DELAY

          public static final int DELAY

      See Also:
        Constant Field Values

    - #### INFO

          public static final int INFO

      See Also:
        Constant Field Values

    - #### WARNING

          public static final int WARNING

      See Also:
        Constant Field Values

    - #### ERROR

          public static final int ERROR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Snackbar

          public Snackbar()

  - ### Method Detail

    - #### show

          public static void show​(String message,
                                  int delay,
                                  int type)

    - #### showWithCloseButton

          public static void showWithCloseButton​(String message,
                                                 int type)

    - #### showConfirmation

          public static void showConfirmation​(String message,
                                              com.google.gwt.user.client.Command yesCommand,
                                              com.google.gwt.user.client.Command noCommand)

    - #### showConfirmation

          public static void showConfirmation​(String message,
                                              String yesLabel,
                                              String noLabel,
                                              com.google.gwt.user.client.Command yesCommand,
                                              com.google.gwt.user.client.Command noCommand)